-- [C6MartPeriodico].[RP_DM_CLIENTI_RISORSE_NA]
CREATE procedure [C6MartPeriodico].[RP_DM_CLIENTI_RISORSE_NA] 
AS
BEGIN
	 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_DM_CLIENTI_RISORSE_NA',  
  GETDATE(),  
  'Elaborazione trimestrale'  
 )  
---------------------------------------------------------------------------
	TRUNCATE TABLE 	[C6MartPeriodico].[CLIENTI_RISORSE_NA]
	INSERT INTO [C6MartPeriodico].[CLIENTI_RISORSE_NA]
	select 
       [RETE]
      ,[COD_FISCALE]
      ,[POSITION_ID]
      ,[COD_PRODOTTO]
      ,[ID_CONTRATTO]
      ,[DATA_SOTTOSCRIZIONE]
      ,[NUM_POLIZZA]
      ,[COD_MAF]
      ,[COD_INTERNO]
      ,[COD_SOTTOPRODOTTO]
      ,[TIPO_PRODOTTO]
      ,[NOME_PROGETTO]
	  ,[ID_AREA]
      ,[CTV]
      ,[ORDINAMENTO_PROGETTO]
	  ,[TIPO_PROGETTO]
      ,[EMITTENTE]
      ,[ISIN]
      ,[CHIAVE_PROGETTO]
			from	C6MartPeriodico.PATRIMONIO_BF 
			where 1=1
			and ID_AREA = 'NA'
			and ctv <> 0 --se zero potrebbero essere ppvv
			and partvia_disinv = 0
---------------------------
UPDATE  
  LOG_ESECUZIONE_PERIODICO  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_DM_CLIENTI_RISORSE_NA' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO  
   WHERE  
    Nome = 'RP_DM_CLIENTI_RISORSE_NA'  
  )  
END